devel/apache-ant - The NetBSD Packages Collection

Apache Project's Java-Based make(1) replacement

Ant is a Java based build tool. In theory it is kind of like
"make" without make's wrinkles and with the full portability
of pure java code.

Ant uses XML to specify build actions to be taken, and new
build actions are implemented in Java.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

lang/openjdk11 lang/openjdk11

Available binary packages

aarch64:apache-ant-1.10.7.tgz(NetBSD 9.0)
aarch64:apache-ant-1.10.9.tgz(NetBSD 9.0)
aarch64:apache-ant-1.10.9.tgz(NetBSD 9.0)
alpha:apache-ant-1.10.9.tgz(NetBSD 9.0)
earmv6hf:apache-ant-1.10.9.tgz(NetBSD 9.0)
earmv6hf:apache-ant-1.10.7.tgz(NetBSD 9.0)
earmv6hf:apache-ant-1.10.8.tgz(NetBSD 9.0)
earmv6hf:apache-ant-1.10.9.tgz(NetBSD 9.0)
earmv7hf:apache-ant-1.10.9.tgz(NetBSD 9.0)
i386:apache-ant-1.10.7.tgz(NetBSD 8.0)
i386:apache-ant-1.10.9.tgz(NetBSD 8.0)
i386:apache-ant-1.10.9.tgz(NetBSD 8.0)
i386:apache-ant-1.10.7.tgz(NetBSD 9.0)
i386:apache-ant-1.10.9.tgz(NetBSD 9.0)
i386:apache-ant-1.10.9.tgz(NetBSD 9.0)
powerpc:apache-ant-1.10.7.tgz(NetBSD 8.0)
powerpc:apache-ant-1.10.9.tgz(NetBSD 8.0)
powerpc:apache-ant-1.10.8.tgz(NetBSD 8.0)
powerpc:apache-ant-1.10.8.tgz(NetBSD 9.0)
powerpc:apache-ant-1.10.7.tgz(NetBSD 9.0)
sparc64:apache-ant-1.10.9.tgz(NetBSD 9.0)
sparc:apache-ant-1.10.9.tgz(NetBSD 9.0)
x86_64:apache-ant-1.10.9.tgz(NetBSD 9.0)
x86_64:apache-ant-1.10.9.tgz(NetBSD 9.0)
x86_64:apache-ant-1.10.9.tgz(NetBSD 9.0)
x86_64:apache-ant-1.10.8.tgz(NetBSD 9.0)
x86_64:apache-ant-1.10.9.tgz(NetBSD 8.0)
x86_64:apache-ant-1.10.7.tgz(NetBSD 8.0)
x86_64:apache-ant-1.10.9.tgz(NetBSD 8.0)
x86_64:apache-ant-1.10.7.tgz(NetBSD 9.0)
x86_64:apache-ant-1.10.9.tgz(NetBSD 9.0)
x86_64:apache-ant-1.10.9.tgz(NetBSD 9.0)
x86_64:apache-ant-1.10.9.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]